Bug 224384 - [Patch] Unbreak multimedia/avidemux_plugins
Summary: [Patch] Unbreak multimedia/avidemux_plugins
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-12-16 21:49 UTC by rkoberman
Modified: 2018-03-27 06:48 UTC (History)
3 users (show)

See Also:
riggs: merge-quarterly?


Attachments
Minor sytax corrections to allow multimedia/avidemux_plugins to build (21.38 KB, patch)
2017-12-16 21:49 UTC, rkoberman
no flags Details | Diff
Remove BROKEN from multimedia/avidemux_plugins (313 bytes, patch)
2017-12-16 21:51 UTC, rkoberman
rkoberman: maintainer-approval? (multimedia)
Details | Diff
fix multimedia/avidemux_plugins build (6.01 KB, patch)
2017-12-29 22:38 UTC, VVD
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rkoberman 2017-12-16 21:49:22 UTC
Created attachment 188892 [details]
Minor sytax corrections to allow multimedia/avidemux_plugins to build

multimedia/avidemux_plugins was broken when the g++ compiler started marking formerly legal, later deprecated syntax as errors. The fixes were trivial, either by commenting out "#warning" statements or by adding spaces before variables in literals. All fixes have been made to the newer version of the tool, but I have been unable to get the new version to build on FreeBSD.

Most patches are added "files/patch" files to the master port, multimedia/avidemux, but there is also a patch to multimedia/avidemux_plugins to remove the "BROKEN" statement.

These patches make NO actual code changes. They only allow the code to build with an up to date g++. All fixes were cribbed from the avidemux version 3.7 release files.
Comment 1 rkoberman 2017-12-16 21:51:41 UTC
Created attachment 188893 [details]
Remove BROKEN from multimedia/avidemux_plugins
Comment 2 VVD 2017-12-29 22:38:42 UTC
Created attachment 189211 [details]
fix multimedia/avidemux_plugins build

I made other patch to build multimedia/avidemux_plugins.
Work for me at 11.1 amd64 and i386. Tested build only, not work.
Just copy in /usr/ports/multimedia/avidemux/files/.
Comment 3 rkoberman 2017-12-30 01:09:09 UTC
(In reply to vvd from comment #2)
While this patch looks a bit cleaner and may work, my patch is already in the upstream code base, so I believe that it is the way to go. That way, it is simply removed when 2.7 is ported. They can simply go away. Also, while it will compile, I am uncomfortable about the casts and changed to variable types. Thy look OK, but they may introduce some issues.

I have been running with my patches for a couple of weeks with no issues at all.
Comment 4 commit-hook freebsd_committer 2018-03-26 17:58:15 UTC
A commit references this bug:

Author: riggs
Date: Mon Mar 26 17:58:09 UTC 2018
New revision: 465620
URL: https://svnweb.freebsd.org/changeset/ports/465620

Log:
  Un-break avidemux and plugins (import C++11 fixes from upstream)

  PR:		224384
  Submitted by:	rkoberman@gmail.com
  MFH:		2018Q1

Changes:
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__demuxers_MpegTS_dmxTSPacket.cpp
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffDv_ADM__ffDv.cpp
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffFlv1_ADM__ffFlv1.h
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffMpeg2_ADM__ffMpeg2.h
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffMpeg4_ADM__ffMpeg4.h
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_ADM__x264.cpp
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_ADM__x264.h
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_qt4_Q__x264.cpp
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_ADM__x265.cpp
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_ADM__x265.h
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_qt4_Q__x265.cpp
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_xvid4_ADM__xvid4.cpp
  head/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoFilters6_telecide_Telecide__getFrame.cpp
  head/multimedia/avidemux-plugins/Makefile
Comment 5 commit-hook freebsd_committer 2018-03-27 06:43:33 UTC
A commit references this bug:

Author: riggs
Date: Tue Mar 27 06:42:50 UTC 2018
New revision: 465663
URL: https://svnweb.freebsd.org/changeset/ports/465663

Log:
  Import avidemux build fixes from head.

  MFH: r464215 r465620

  Move PORTREVISION from multimedia/avidemux/Makefile.common into the
  three slave ports multimedia/avidemux-cli, multimedia/avidemux-plugins,
  and multimedia/avidemux-qt4.  Ensure they are properly set there
  after revision 464084.

  That way any sweeping changes (using Tools/scripts/bump-revision.sh
  or similar in particular) have a chance of working or at least flagging
  a potential issue.

  PR:		226533

  Un-break avidemux and plugins (import C++11 fixes from upstream)

  PR:		224384
  Submitted by:	rkoberman@gmail.com

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/multimedia/avidemux/Makefile
  branches/2018Q1/multimedia/avidemux/Makefile.common
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__demuxers_MpegTS_dmxTSPacket.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffDv_ADM__ffDv.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffFlv1_ADM__ffFlv1.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffMpeg2_ADM__ffMpeg2.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffMpeg4_ADM__ffMpeg4.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_ADM__x264.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_ADM__x264.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_qt4_Q__x264.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_ADM__x265.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_ADM__x265.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_qt4_Q__x265.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_xvid4_ADM__xvid4.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoFilters6_telecide_Telecide__getFrame.cpp
  branches/2018Q1/multimedia/avidemux-cli/Makefile
  branches/2018Q1/multimedia/avidemux-plugins/Makefile
  branches/2018Q1/multimedia/avidemux-qt4/Makefile